> ## Documentation Index
> Fetch the complete documentation index at: https://docs.url2llm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Map Site

> Discover URLs without fetching each one.



## OpenAPI

````yaml /openapi-public.json post /v1/map
openapi: 3.1.0
info:
  title: url2llm
  version: 0.1.0
servers: []
security: []
paths:
  /v1/map:
    post:
      tags:
        - public
        - map
      summary: Map Site
      description: Discover URLs without fetching each one.
      operationId: mapSite
      parameters:
        - in: header
          name: Idempotency-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MapRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_MapResponse_'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Service Unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Gateway Timeout
      security:
        - HTTPBearer: []
components:
  schemas:
    MapRequest:
      additionalProperties: false
      description: Configure URL discovery for one site.
      properties:
        filterByPath:
          default: true
          title: Filterbypath
          type: boolean
        ignoreQueryParameters:
          default: true
          title: Ignorequeryparameters
          type: boolean
        ignoreSitemap:
          default: false
          title: Ignoresitemap
          type: boolean
        includeSubdomains:
          default: false
          title: Includesubdomains
          type: boolean
        limit:
          default: 5000
          maximum: 50000
          minimum: 1
          title: Limit
          type: integer
        search:
          anyOf:
            - maxLength: 1000
              type: string
            - type: 'null'
          description: Substring filter on the URL
          title: Search
        sitemap:
          default: include
          enum:
            - include
            - skip
            - only
          title: Sitemap
          type: string
        timeout:
          default: 30000
          exclusiveMinimum: 0
          maximum: 120000
          title: Timeout
          type: integer
        url:
          maxLength: 8192
          minLength: 1
          title: Url
          type: string
      required:
        - url
      title: MapRequest
      type: object
    APIResponse_MapResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/MapResponse'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: true
          title: Success
          type: boolean
      required:
        - success
        - data
        - meta
        - message
        - request_id
      title: APIResponse[MapResponse]
      type: object
    ErrorResult:
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: false
          title: Success
          type: boolean
      required:
        - success
        - error
        - request_id
      title: ErrorResult
      type: object
    MapResponse:
      properties:
        links:
          items:
            $ref: '#/components/schemas/MapLink'
          title: Links
          type: array
        warning:
          anyOf:
            - type: string
            - type: 'null'
          title: Warning
      required:
        - links
        - warning
      title: MapResponse
      type: object
    ApiError:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - {}
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
        - details
      title: ApiError
      type: object
    MapLink:
      properties:
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        url:
          title: Url
          type: string
      required:
        - url
        - source
        - title
      title: MapLink
      type: object
  securitySchemes:
    HTTPBearer:
      description: API key for public endpoints; Clerk session for account endpoints.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.